eeepc : Comment éteindre l'écran

Le
geo cherchetout
Bonjour,

J'avais déjà posé la question en août dernier :
http://www.dansmongrenier.com/informatique_news.html?cmd=ARTICLE&groupe=fr.comp.os.linux.configuration&fil62013

Or je viens de faire une découverte : Si un écran est branché sur la prise
VGA, la combinaison de touche Fn + F8 agit effectivement et permet
d'éteindre, au choix, l'écran externe ou l'écran normal. Ma question devient
donc celle-ci : Comment faire croire au petit pingouin qui est caché dans la
machine qu'un écran externe est branché ?
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Nicolas George
Le #24288211
geo cherchetout , dans le message
Or je viens de faire une découverte : Si un écran est branché sur la prise
VGA, la combinaison de touche Fn + F8 agit effectivement et permet
d'éteindre, au choix, l'écran externe ou l'écran normal. Ma question devient
donc celle-ci : Comment faire croire au petit pingouin qui est caché dans la
machine qu'un écran externe est branché ?



Tu poses la question sur un moyen et pas une solution.

Veux-tu éteindre l'écran sous X11 ou en console ? Sous X11, « sleep 1; xset
dpms force off » n'est-il pas satisfaisant ?
geo cherchetout
Le #24288391
Le 29/02/2012 16:20, *Nicolas George* a écrit fort à propos :

Tu poses la question sur un moyen et pas une solution.



Les deux m'intéressent.

Veux-tu éteindre l'écran sous X11 ou en console ? Sous X11, « sleep 1; xset
dpms force off » n'est-il pas satisfaisant ?



Oui, cette commande semble bien éteindre complètement l'écran sous X et je
ne désire rien de plus. J'attendrai quand-même la nuit pour confirmer, à
cause de la lumière ambiante, très intense ici.
geo cherchetout
Le #24289041
Le 29/02/2012 17:04, *geo cherchetout* a écrit fort à propos :
Le 29/02/2012 16:20, *Nicolas George* a écrit fort à propos :

Veux-tu éteindre l'écran sous X11 ou en console ? Sous X11, « sleep 1; xset
dpms force off » n'est-il pas satisfaisant ?



Oui, cette commande semble bien éteindre complètement l'écran sous X et je
ne désire rien de plus. J'attendrai quand-même la nuit pour confirmer, à
cause de la lumière ambiante, très intense ici.



Je confirme, merci, l'écran et son rétroéclairage sont bien arrêtés par
cette simple commande, de même que par la combinaison Fn + F8 quand un écran
(même non alimenté) est branché sur la prise VGA.

Dans la pratique, je pourrais peut-être confectionner un bouchon avec des
résistances, mais je vais plutôt écrire un petit script à exécuter avec une
icône sur le bureau.
Philippe Naudin
Le #24289181
Le mer 29 fév 2012 20:01:35 CET, geo cherchetout a écrit:
...
Je confirme, merci, l'écran et son rétroéclairage sont bien arrêt és par
cette simple commande, de même que par la combinaison Fn + F8 quand un écran
(même non alimenté) est branché sur la prise VGA.

Dans la pratique, je pourrais peut-être confectionner un bouchon avec d es
résistances, mais je vais plutôt écrire un petit script à exécu ter avec une
icône sur le bureau.



Les bons gestionnaires de fenêtres sont configurables. Par exemple avec
fvwm, pour associer ctrl-pause à la mise en veille :
Key Pause A C exec sleep 1 ; xset dpms force off
La même chose avec verrouillage de la console :
Key Pause A C exec sleep 1 ; xscreensaver-command -lock

--
Philippe
marc
Le #24290161
geo cherchetout wrote:

Bonjour,

J'avais déjà posé la question en août dernier :



http://www.dansmongrenier.com/informatique_news.html?cmd=ARTICLE&groupe=fr.comp.os.linux.configuration&fil62013

Or je viens de faire une découverte : Si un écran est branché sur la prise
VGA, la combinaison de touche Fn + F8 agit effectivement et permet
d'éteindre, au choix, l'écran externe ou l'écran normal. Ma question
devient donc celle-ci : Comment faire croire au petit pingouin qui est
caché dans la machine qu'un écran externe est branché ?



Sur un atom, j'ai eu un fichier comme tel: (l'endroit, qq part dans
/etc/init ou du meme famille):

:~/oldmarc$ cat 45custom_xrandr-settings
# If an external monitor is connected, place it with xrandr
xrandr |grep VGA | grep " connected "
if [ $? -eq 0 ]; then
xrandr --addmode VGA1 1024x600 || exit 1
xrandr --output LVDS1 --mode 1024x600 --output VGA --mode 1024x600 --
same-as LVDS
else
xrandr --output LVDS1 --mode 1024x600 --output VGA --off
fi




--
--
What's on Shortwave guide: choose an hour, go!
http://shortwave.tk
700+ Radio Stations on SW http://swstations.tk
300+ languages on SW http://radiolanguages.tk
Nicolas George
Le #24290311
marc , dans le message
# If an external monitor is connected, place it with xrandr
xrandr |grep VGA | grep " connected "



Ce qui, donc, ne répond pas à la question de faire croire qu'un moniteur est
connecté.
geo cherchetout
Le #24290351
Le 01/03/2012 12:32, *marc* a écrit fort à propos :

Sur un atom, j'ai eu un fichier comme tel: (l'endroit, qq part dans
/etc/init ou du meme famille):

:~/oldmarc$ cat 45custom_xrandr-settings



Locate ne trouve pas de fichier ressemblant ici.

# If an external monitor is connected, place it with xrandr
xrandr |grep VGA | grep " connected "
if [ $? -eq 0 ]; then
xrandr --addmode VGA1 1024x600 || exit 1
xrandr --output LVDS1 --mode 1024x600 --output VGA --mode 1024x600 --
same-as LVDS
else
xrandr --output LVDS1 --mode 1024x600 --output VGA --off
fi



Si je savais quelle variable teste 'if [ $? -eq 0 ]' je pourrais peut-être
lui imposer la valeur 0 ? Est-ce ce que tu suggères ?

Autrement, xrandr ne prend en compte aucune modification de mode de VGA-1 en
l'absence d'écran sur la prise VGA et je ne désire pas utiliser xrandr pour
désactiver la sortie LVDS-1 car je ne saurais pas ensuite la réactiver.
(Expérience vécue). Xset fait cela très bien.
Nicolas George
Le #24290391
geo cherchetout , dans le message
Si je savais quelle variable teste 'if [ $? -eq 0 ]' je pourrais peut-être



Le code de retour de la dernière commande. Cette manière d'écrire est assez
grotesque.

lui imposer la valeur 0 ? Est-ce ce que tu suggères ?



Tout ce que tu y gagnerais, c'est que les commandes suivantes échoueraient.
geo cherchetout
Le #24290451
Le 01/03/2012 14:09, *Nicolas George* a écrit fort à propos :
geo cherchetout , dans le message
Si je savais quelle variable teste 'if [ $? -eq 0 ]' je pourrais peut-être



Le code de retour de la dernière commande. Cette manière d'écrire est assez
grotesque.



Ah, bien, merci. À mon niveau, rien n'est grotesque mais je me fie à ton avis.

lui imposer la valeur 0 ? Est-ce ce que tu suggères ?



Tout ce que tu y gagnerais, c'est que les commandes suivantes échoueraient.



Oui, je comprends à présent.
Philippe Naudin
Le #24291101
Le mer 29 fév 2012 23:00:55 CET, geo cherchetout a écrit:

Le 29/02/2012 20:57, *Philippe Naudin* a écrit fort à propos :

> Les bons gestionnaires de fenêtres sont configurables. Par exemple av ec
> fvwm, pour associer ctrl-pause à la mise en veille :
> Key Pause A C exec sleep 1 ; xset dpms force off
> La même chose avec verrouillage de la console :
> Key Pause A C exec sleep 1 ; xscreensaver-command -lock

Dans l'éditeur de paramètres de xfce4, section xfce4-keyboard-shortcu ts, je
crée une nouvelle propriété <Alt><Control>KP_0, Type : string, Vale ur : exec
sleep 1 ; xset dpms force off mais sans aucun résultat.
C'est peut-être la syntaxe de la commande qui ne va pas ?



C'est bien possible, mais je ne connais pas assez xfce. Essaie sans le
"exec" qui dans mon exemple fait partie de la syntaxe de fwvm, il ne
s'agit pas du built-in du shell. Vérifie aussi que xfce accepte
d'exécuter plusieurs commandes séparées par un point-virgule.

Je serais quand même surpris qu'on ne puisse pas attribuer un raccourci
clavier à une commande avec xfce....

--
Philippe Naudin
Publicité
Poster une réponse
Anonyme